package com.ssj.bean.conch.conch.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_smarttime_picture")
public class SmarttimePicture extends BaseEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = 375584366877155954L;


    private String            parentId;


    private String            fileKey;


    private Integer           commentNums;


    private String            derver;

    private String            lat;


    private String            lon;


    private String            address;


    private Integer           mnc1;


    private Integer           lac1;


    private Integer           cell1;


    private Integer           strength1;


    private Integer           mnc2;


    private Integer           lac2;

    private Integer           cell2;

  
    private Integer           strength2;


    private Integer           mnc3;


    private Integer           lac3;


    private Integer           cell3;

   
    private Integer           strength3;

 
    private Integer           mnc4;

 
    private Integer           lac4;


    private Integer           cell4;


    private Integer           strength4;


    private String            network;


    private int               type;


    private String            derverFileKey;


    private Date              createTime;

  
    private int               isDelete         = 0;


    private String smartsay;
    
 
    private String keyword; //图片分类标签
    
    private String 			  vipId;//会员卡id
    
    @Column(name = "parent_id")
    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
    @Column(name = "file_key")
    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }
    @Column(name = "comment_nums")
    public Integer getCommentNums() {
        return commentNums;
    }

    public void setCommentNums(Integer commentNums) {
        this.commentNums = commentNums;
    }
    @Column(name = "derver")
    public String getDerver() {
        return derver;
    }

    public void setDerver(String derver) {
        this.derver = derver;
    }
    @Column(name = "lat")
    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }
    @Column(name = "lon")
    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }
    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
    @Column(name = "mnc1")
    public Integer getMnc1() {
        return mnc1;
    }

    public void setMnc1(Integer mnc1) {
        this.mnc1 = mnc1;
    }
    @Column(name = "lac1")
    public Integer getLac1() {
        return lac1;
    }

    public void setLac1(Integer lac1) {
        this.lac1 = lac1;
    }
    @Column(name = "cell1")
    public Integer getCell1() {
        return cell1;
    }

    public void setCell1(Integer cell1) {
        this.cell1 = cell1;
    }
    @Column(name = "strength1")
    public Integer getStrength1() {
        return strength1;
    }

    public void setStrength1(Integer strength1) {
        this.strength1 = strength1;
    }
    @Column(name = "mnc2")
    public Integer getMnc2() {
        return mnc2;
    }

    public void setMnc2(Integer mnc2) {
        this.mnc2 = mnc2;
    }
    @Column(name = "lac2")
    public Integer getLac2() {
        return lac2;
    }

    public void setLac2(Integer lac2) {
        this.lac2 = lac2;
    }
    @Column(name = "cell2")
    public Integer getCell2() {
        return cell2;
    }

    public void setCell2(Integer cell2) {
        this.cell2 = cell2;
    }
    @Column(name = "strength2")
    public Integer getStrength2() {
        return strength2;
    }

    public void setStrength2(Integer strength2) {
        this.strength2 = strength2;
    }
    @Column(name = "mnc3")
    public Integer getMnc3() {
        return mnc3;
    }

    public void setMnc3(Integer mnc3) {
        this.mnc3 = mnc3;
    }
    @Column(name = "lac3")
    public Integer getLac3() {
        return lac3;
    }

    public void setLac3(Integer lac3) {
        this.lac3 = lac3;
    }
    @Column(name = "cell3")
    public Integer getCell3() {
        return cell3;
    }

    public void setCell3(Integer cell3) {
        this.cell3 = cell3;
    }
    @Column(name = "strength3")
    public Integer getStrength3() {
        return strength3;
    }

    public void setStrength3(Integer strength3) {
        this.strength3 = strength3;
    }
    @Column(name = "mnc4")
    public Integer getMnc4() {
        return mnc4;
    }

    public void setMnc4(Integer mnc4) {
        this.mnc4 = mnc4;
    }
    @Column(name = "lac4")
    public Integer getLac4() {
        return lac4;
    }

    public void setLac4(Integer lac4) {
        this.lac4 = lac4;
    }
    @Column(name = "cell4")
    public Integer getCell4() {
        return cell4;
    }

    public void setCell4(Integer cell4) {
        this.cell4 = cell4;
    }
    @Column(name = "strength4")
    public Integer getStrength4() {
        return strength4;
    }

    public void setStrength4(Integer strength4) {
        this.strength4 = strength4;
    }
    @Column(name = "network")
    public String getNetwork() {
        return network;
    }

    public void setNetwork(String network) {
        this.network = network;
    }
    @Column(name = "type")
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
    @Column(name = "derver_file_key")
    public String getDerverFileKey() {
        return derverFileKey;
    }

    public void setDerverFileKey(String derverFileKey) {
        this.derverFileKey = derverFileKey;
    }
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "is_delete")
    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }
    @Column(name = "smartsay")
	public String getSmartsay() {
		return smartsay;
	}

	public void setSmartsay(String smartsay) {
		this.smartsay = smartsay;
	}
	@Column(name = "keyword")
	public String getKeyword() {
		return keyword;
	}

	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}

	@Column(name = "vip_id")
	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

}
